Rencontrons Synaptic dans LMDE <° Linux

L'une des questions les plus fréquentes des utilisateurs qui commencent dans GNU / Linux, explique comment installer ou désinstaller des programmes et quels types de packages peuvent être installés. Nous allons vous montrer l'une des façons les plus simples d'effectuer cette tâche, en utilisant Synaptique, et aussi, nous vous expliquerons brièvement ce que c'est et comment nous pouvons l'utiliser.

Normalement en Windows, pour installer un programme un fichier avec l'extension .exe et nous devons juste utiliser le Suivant Suivant avec l'un ou l'autre numéro de série et pour le processus inverse (désinstallation), nous allons à Panneau de configuration »Ajout / Suppression de programmes.

Dans le cas d' GNU / Linux, il y a aussi ce que nous pourrions appeler notre .exe mais bien sûr, ils ont un autre nom et une autre structure. Habituellement, la plupart des packages de GNU / Linux Ils sont hébergés dans des référentiels et divers outils sont utilisés pour les gérer. Les plus populaires ou connus sont peut-être les . Deb et les . Rpm et les deux peuvent être gérés par Synaptique, qui était initialement une interface pour APT.

Synaptic: Interface pour APT

Travailler avec Synaptique c'est très simple. L'interface n'est pas compliquée et un nouvel utilisateur doit rarement utiliser ou modifier toutes ses options. En général, comme c'est le cas par défaut, les tâches les plus courantes peuvent être effectuées.

Synaptique a été comme lui Ajouter / supprimer des programmes de Windows. Pour son fonctionnement, il faut avoir configuré (dans le cas de Debian et ses dérivés) les chemins vers les référentiels où se trouvent les packages à installer, dans le fichier /etc/apt/sources.list. À partir de ce fichier, Synaptique obtient le chemin nécessaire pour accéder aux packages.

Connaître l'interface.

Il est bon d'ajouter que l'interface de Synaptique en LinuxMint, est différent de Debian. Pour une raison quelconque dans LinuxMintbouton non inclus Vérifiez toutes les mises à jour. Mais revenons à l'interface.

Au sommet, nous avons le Barre de menu dont nous verrons quelques options plus tard. Un peu plus bas, les boutons suivants:

  • Recharger: Mettez à jour la liste des packages.
  • Appliquer: Lorsque nous marquons un package à installer ou à désinstaller, nous utilisons ce bouton pour appliquer la modification.
  • Propriétés: Il montre les caractéristiques du package, sa description et ses dépendances.
  • Recherche: Il affiche une boîte de dialogue avec plusieurs options pour rechercher des packages en fonction de certains paramètres.

Boutons d'accès rapide

Ci-dessous, nous avons l'interface divisée en deux colonnes. Sur la gauche se trouvent les options selon la section que nous sélectionnons. Appelez la section des boutons: Sections, état, origine, filtres et résultats de recherche.

  • Sections: Affiche les packages organisés par catégories. Si nous voulons rechercher un package lié au Environnement de bureau Gnome, par exemple, il suffit d'aller dans la section Gnome.
  • État: Dans cette section, nous trouverons quels sont les packages évolutifs, obsolètes, installés ou résiduels.
  • Origine: Affiche l'origine (référentiels) des packages. En d'autres termes, d'où ils viennent.
  • Filtres: Dans cette section, vous pouvez appliquer certains filtres pour obtenir différents types d'informations. Il est important de savoir que les paquets cassés apparaissent ici.
  • Résultats de recherche: Comme son nom l'indique, il affiche les résultats de recherche dans Synaptique.

Sections synaptiques

De l'autre côté, nous avons la liste des packages que nous pouvons installer via Synaptic. Si nous sélectionnons l'un d'entre eux et faisons un clic droit, nous pouvons choisir certaines options telles que:

  • Décochez: Décochez le package si nous l'avons précédemment sélectionné.
  • Vérifiez pour installer: Vérifiez le package à installer.
  • Marquer pour réinstaller: Eh bien, sélectionnez et réinstallez le package.
  • Marquer pour mettre à jour: Si le package a une mise à jour, nous le sélectionnons avec cette option.
  • Marquer à supprimer: Supprimer uniquement le package sélectionné.
  • Cochez pour supprimer complètement: Supprimez le package sélectionné avec ses dépendances recommandées. Les dépendances suggérées vont à la configuration résiduelle.
  • Propriétés: Fait la même chose que le bouton en haut.
  • Marque recommandée pour l'installation: Sélectionnez les dépendances recommandées du package à installer.
  • Marquer comme suggéré pour l'installation: Sélectionnez les dépendances suggérées du package à installer.

Liste des packages disponibles

Autres options.

Sachant cela, nous pouvons déjà travailler avec Synaptique, mais nous pouvons faire d'autres choses, comme par exemple changer les sources des dépôts. Quelque chose d'utile si les miroirs que nous utilisons sont lents ou en panne. Pour cela, nous allons Configuration »Référentiel.

Dans la fenêtre d'options que nous obtenons, nous n'avons besoin que de 3 onglets pour pouvoir gérer nos référentiels. Dans le premier, nous obtenons les branches que nous utilisons dans LinuxMint (Principal, amont, import, backport et Romeo). Le simple fait de cocher / décocher modifie le fichier /etc/apt/sources.list.

Origines du logiciel

Dans le deuxième onglet, nous incluons les référentiels qui ne sont pas Menthe, C'est le Forfaits tiers comme Debianle PPA de Ubuntu ou toute source compatible avec LMDE.

Logiciels tiers

Et dans le troisième onglet, nous pouvons activer les mises à jour automatiques et chaque fois que nous voulons qu'elles s'exécutent.

Mises à jour automatiques

Encore plus?

Si vous en avez besoin, Synaptique doit également définir le Proxy réseau et Distribution que nous voulons utiliser par défaut. Pour cela, nous allons Paramètres »Préférences.

Pour expliquer un peu la Distribution, si on regarde le fichier /etc/apt/sources.list, nous avons deux mises en page à utiliser (notez le texte coloré):

deb http://packages.linuxmint.com/ debian importation principale en amont
deb http://ftp.debian.org/debian vers les tests contribution principale non gratuite
deb http://security.debian.org/ vers les tests/ met à jour la contribution principale non gratuite
deb http://www.debian-multimedia.org vers les tests principal non libre

Par défaut, Synaptique prend toujours la distribution la plus élevée, ce qui signifie que si le paquet entre sabir 2.8 dans les repos de Menthe (debian) et version 2.9 dans Débian (vers les tests), le programme nous proposera d'installer la version 2.9.

Bien sûr, cela peut être changé si nous choisissons manuellement la distribution que nous voulons utiliser en utilisant l'option: Préférez les versions de:

Choisissez la distribution
Et bien, si nous utilisons un proxy pour nous connecter via http, nous avons également la possibilité de le définir manuellement:

Proxy réseau

Il existe d'autres outils pour gérer nos packages, les mettre à jour et les installer. Ubuntu par exemple inclut maintenant votre Centre logicielet LMDE a un très similaire, mais d'une certaine manière Synaptique C'est plus complet.


Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

2 commentaires, laissez le vôtre

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données: Miguel Ángel Gatón
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.

  1.   Jonathan dit

    Merci beaucoup, la vérité est que je ne fais que commencer avec Linux et cet outil est vital. Il est bon de mieux la connaître

  2.   clair dit

    J'ai besoin de savoir comment empêcher Linux mint 17 Quiana d'essayer de mettre à jour le dépôt à partir de son site officiel
    Et inclus dans ma liste sources.list une nouvelle adresse de mise à jour déjà testée dans Ubuntu 14.04 et compatible avec Mint mais lorsque (apt-get update), ce qui suit est affiché:

    Err http://ubuntu.mes.edu.cu InRelease proposé par la confiance

    Err http://packages.linuxmint.com qiana InRelease

    Err http://archive.ubuntu.com fidèle InRelease

    Err http://archive.ubuntu.com Trusty-updates InRelease

    Err http://security.ubuntu.com Trusty-Security InRelease

    Err http://ubuntu.mes.edu.cu Trusty-Security InRelease

    Err http://ubuntu.mes.edu.cu Trusty-updates InRelease

    Err http://ubuntu.mes.edu.cu fidèle InRelease

    Err http://archive.ubuntu.com fidèle Release.gpg
    Impossible de résoudre "archive.ubuntu.com"
    Err http://security.ubuntu.com Trusty-Security Release.gpg
    Impossible de résoudre "security.ubuntu.com"
    Err http://ubuntu.mes.edu.cu Release.gpg proposée par confiance
    Impossible de résoudre «ubuntu.mes.edu.cu»
    Err http://packages.linuxmint.com qiana Release.gpg
    Impossible de résoudre "packages.linuxmint.com"
    Err http://ubuntu.mes.edu.cu Trusty-Security Release.gpg
    Impossible de résoudre «ubuntu.mes.edu.cu»
    Err http://ubuntu.mes.edu.cu Trusty-updates Release.gpg
    Impossible de résoudre «ubuntu.mes.edu.cu»
    Err http://archive.ubuntu.com Trusty-updates Release.gpg
    Impossible de résoudre "archive.ubuntu.com"
    Err http://ubuntu.mes.edu.cu fidèle Release.gpg
    Impossible de résoudre «ubuntu.mes.edu.cu»
    Err http://extra.linuxmint.com qiana InRelease

    Err http://extra.linuxmint.com qiana Release.gpg
    Impossible de résoudre "extra.linuxmint.com"
    Err http://archive.canonical.com fidèle InRelease

    Err http://archive.canonical.com fidèle Release.gpg
    Impossible de résoudre "archive.canonical.com"
    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-proposed/InRelease

    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-security/InRelease

    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-updates/InRelease

    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty/InRelease

    W: Impossible d'obtenir http://packages.linuxmint.com/dists/qiana/InRelease

    W: Impossible d'obtenir http://extra.linuxmint.com/dists/qiana/InRelease

    W: Impossible d'obtenir http://archive.ubuntu.com/ubuntu/dists/trusty/InRelease

    W: Impossible d'obtenir http://archive.ubuntu.com/ubuntu/dists/trusty-updates/InRelease

    W: Impossible d'obtenir http://security.ubuntu.com/ubuntu/dists/trusty-security/InRelease

    W: Impossible d'obtenir http://archive.canonical.com/ubuntu/dists/trusty/InRelease

    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-proposed/Release.gpg Impossible de résoudre «ubuntu.mes.edu.cu»

    W: Impossible d'obtenir http://packages.linuxmint.com/dists/qiana/Release.gpg Impossible de résoudre "packages.linuxmint.com"

    W: Impossible d'obtenir http://archive.ubuntu.com/ubuntu/dists/trusty/Release.gpg Impossible de résoudre "archive.ubuntu.com"

    W: Impossible d'obtenir http://archive.ubuntu.com/ubuntu/dists/trusty-updates/Release.gpg Impossible de résoudre "archive.ubuntu.com"

    W: Impossible d'obtenir http://security.ubuntu.com/ubuntu/dists/trusty-security/Release.gpg Impossible de résoudre "security.ubuntu.com"

    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-security/Release.gpg Impossible de résoudre «ubuntu.mes.edu.cu»

    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty-updates/Release.gpg Impossible de résoudre «ubuntu.mes.edu.cu»

    W: Impossible d'obtenir http://ubuntu.mes.edu.cu/UBUNTU/ubuntu/dists/trusty/Release.gpg Impossible de résoudre «ubuntu.mes.edu.cu»

    W: Impossible d'obtenir http://extra.linuxmint.com/dists/qiana/Release.gpg Impossible de résoudre "extra.linuxmint.com"

    W: Impossible d'obtenir http://archive.canonical.com/ubuntu/dists/trusty/Release.gpg Impossible de résoudre "archive.canonical.com"

    W: Le téléchargement de certains fichiers d'index a échoué. Ils ont été ignorés, ou d'anciens ont été utilisés à la place.
    E: Impossible de verrouiller / var / lib / dpkg / lock - ouvert (11: ressource temporairement indisponible)
    E: Impossible de verrouiller le répertoire admin (/ var / lib / dpkg /), il y a peut-être un autre processus qui l'utilise?

    *************** Comment résoudre ce problème? **************************
    Je vous prie de m'aider s'il vous plait